#include "xgfxworlddpvsplanes.h"

XGfxWorldDpvsPlanes::XGfxWorldDpvsPlanes()
    : XAsset()
    , aCellCount(0)
    , aPlanesPtr(0)
    , aPlanes()
    , aNodesPtr(0)
    , aNodes()
    , aSceneEntCellBitsPtr(0)
    , aSceneEntCellBits()
{
    
}

XGfxWorldDpvsPlanes::~XGfxWorldDpvsPlanes()
{
    
}

int XGfxWorldDpvsPlanes::GetCellCount() const
{
    return aCellCount;
}

void XGfxWorldDpvsPlanes::ParseData(QDataStream *aStream)
{
    
}

void XGfxWorldDpvsPlanes::Clear()
{
    aCellCount = 0;
    aPlanesPtr = 0;
    aPlanes.clear();
    aNodesPtr = 0;
    aNodes.clear();
    aSceneEntCellBitsPtr = 0;
    aSceneEntCellBits.clear();
}
